/* 
 * Copyright (C) 2003 Star Chamber Inc.
 *
 * Sussen - callbacks.h
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Author: Loren Bandiera <lorenb@starchamber.ca>
 */
 
#ifndef __SUSSEN_CALLBACKS_H
#define __SUSSEN_CALLBACKS_H

void update_server_listview (void);
void on_connect_button_clicked (GtkWidget *widget, gpointer user_data);
void on_disconnect_button_clicked (GtkWidget *widget, gpointer user_data);
void on_properties_button_clicked (GtkWidget *widget, gpointer user_data);
void on_detached_scan_checkbutton_toggled (GtkWidget *widget, gpointer user_data);
void on_target_browse_button_clicked (GtkWidget *widget, gpointer user_data);
void on_policy_manager_browse_button_clicked (GtkWidget *widget, gpointer user_data);
void on_continous_scan_checkbutton_toggled (GtkWidget *widget, gpointer user_data);
void on_reuse_kb_checkbutton_toggled (GtkWidget *widget, gpointer user_data);
void on_enable_kb_checkbutton_toggled (GtkWidget *widget, gpointer user_data);
void on_port_scanner_toggled (GtkCellRendererToggle *cellrenderertoggle, gchar *path, gpointer user_data);
void on_nessus_server_toggled (GtkCellRendererToggle *cellrenderertoggle, gchar *path, gpointer user_data);
void on_preferences_close_button_clicked (GtkWidget *button, gpointer user_data);
void on_connect1_activate (GtkWidget *widget, gpointer user_data);
void on_disconnect1_activate (GtkWidget *widget, gpointer user_data);
void on_quit1_activate (GtkWidget *widget, gpointer user_data);
void on_start_scan_button_clicked (GtkWidget *widget, gpointer user_data);
void on_stop_scan_button_clicked (GtkWidget *widget, gpointer user_data);
void on_stop_scanning_host_button_clicked (GtkWidget *widget, gpointer user_data);
void on_start_scan1_activate (GtkWidget *widget, gpointer user_data);
void on_stop_scan1_activate (GtkWidget *widget, gpointer user_data);
void on_copy1_activate (GtkWidget *widget, gpointer user_data);
void on_cut1_activate (GtkWidget *widget, gpointer user_data);
void on_paste1_activate (GtkWidget *widget, gpointer user_data);
void on_clear1_activate (GtkWidget *widget, gpointer user_data);
void on_properties1_activate (GtkWidget *widget, gpointer user_data);
void on_restore_session_button_clicked (GtkWidget *widget, gpointer user_data);
void on_delete_session_button_clicked (GtkWidget *widget, gpointer user_data);
void on_preferences1_activate (GtkWidget *widget, gpointer user_data);
	
#endif
